> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/schedule/reboot.md).

# Reboot

## Create Reboot

> Creates a new Reboot Schedule.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/Schedule/Reboot":{"post":{"tags":["0-Infrastructure/AVD/Host Pool//Schedule"],"summary":"Create Reboot","description":"Creates a new Reboot Schedule.","operationId":"a6fffbb4-b5df-40c9-a353-3bb755762e96","requestBody":{"description":"The Schedule settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/NewSchedule"}}}},"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/Schedule"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"NewSchedule":{"required":["name"],"type":"object","properties":{"name":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">Schedule name.</para>","nullable":true},"siteId":{"type":"integer","description":"<para type=\"description\">Site ID from which to retrieve the schedule.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Whether to enable or disable the schedule.</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Schedule description.</para>","nullable":true},"type":{"type":"integer","description":"<para type=\"description\">Schedule type</para>","format":"int32","nullable":true},"startDateTime":{"type":"string","description":"<para type=\"description\">Start time. Default: Now.</para>","format":"date-time"},"durationInSecs":{"type":"number","description":"<para type=\"description\">Duration in seconds.</para>","format":"double","nullable":true},"repeat":{"$ref":"#/components/schemas/RepeatType"},"specificDays":{"$ref":"#/components/schemas/RepeatSpecificDays"},"completeIn":{"type":"integer","description":"<para type=\"description\">The duration of the scheduler task in minutes. </para>\r\n<para type=\"description\">Default: 15 minutes for disable task, 10 minutes for reboot task.</para>","format":"int32","nullable":true},"poolMembersType":{"type":"integer","description":"<para type=\"description\">Whether to select the percentage or specific number of members to be started</para>","format":"int32","nullable":true},"percentageMembers":{"type":"integer","description":"<para type=\"description\">Percentage of members to be started</para>","format":"int32","nullable":true},"membersToStart":{"type":"integer","description":"<para type=\"description\">Specific number of members to be started</para>","format":"int32","nullable":true},"powerOnAssignedPoolMembers":{"type":"integer","description":"<para type=\"description\">Power On Assigned Pool Members</para>","format":"int32","nullable":true},"enableDrainMode":{"type":"boolean","description":"<para type=\"description\">Whether to enable Drain Mode</para>","nullable":true},"forceServerRebootAfter":{"type":"integer","description":"<para type=\"description\">Force server reboot after the specified time in seconds</para>","format":"int32","nullable":true},"enforceScheduleInactiveHost":{"type":"boolean","description":"<para type=\"description\">Enforce schedule for currently inactive host</para>","nullable":true},"onDisable":{"type":"boolean","description":"<para type=\"description\">What action to take on Disable</para>","nullable":true}},"additionalProperties":false},"RepeatType":{"enum":[["0 = Never","1 = EveryDay","2 = EveryWeek","3 = Every2Weeks","4 = EveryMonth","5 = EveryYear","6 = SpecificDays"]],"type":"string","description":"<para type=\"synopsis\">Repeat Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"RepeatSpecificDays":{"enum":[["0 = Never","1 = Sunday","2 = Monday","4 = Tuesday","8 = Wednesday","16 = Thursday","32 = Friday","64 = Saturday"]],"type":"string[Flag]","description":"<para type=\"synopsis\">Repeat Specific Days</para>\r\n<para type=\"description\"></para>","format":"int32"},"Schedule":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"adminCreate":{"type":"string","description":"<para type=\"description\">User who created the object.</para>","nullable":true},"adminLastMod":{"type":"string","description":"<para type=\"description\">User who last modified the object.</para>","nullable":true},"timeCreate":{"type":"string","description":"<para type=\"description\">Time when the object was created.</para>","format":"date-time"},"timeLastMod":{"type":"string","description":"<para type=\"description\">Time when the object was last modified.</para>","format":"date-time"},"siteID":{"type":"integer","description":"<para type=\"description\">Site ID</para>","format":"int32"},"objType":{"$ref":"#/components/schemas/ScheduleObjType"},"action":{"$ref":"#/components/schemas/ScheduleActionType"},"targetType":{"$ref":"#/components/schemas/ScheduleTargetType"},"enabled":{"type":"boolean","description":"<para type=\"description\">Enabled</para>"},"name":{"type":"string","description":"<para type=\"description\">Name</para>","nullable":true},"description":{"type":"string","description":"<para type=\"description\">Description</para>","nullable":true},"type":{"type":"integer","description":"<para type=\"description\">Type</para>","format":"int32","nullable":true},"targetIDs":{"type":"array","items":{"type":"integer","format":"int32"},"description":"<para type=\"description\">Target IDs</para>","nullable":true},"targetNativeHosts":{"type":"array","items":{"$ref":"#/components/schemas/TargetNativeHost"},"description":"<para type=\"description\">Target Native Hosts</para>","nullable":true},"trigger":{"$ref":"#/components/schemas/Trigger"},"options":{"$ref":"#/components/schemas/Options"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Schedule</para>\r\n<para type=\"description\"></para>"},"ScheduleObjType":{"enum":[["44 = RDS","92 = AVD","100 = VDI"]],"type":"string","description":"<para type=\"synopsis\">Schedule Object Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ScheduleActionType":{"enum":[["0 = Disable","1 = Reboot","3 = Startup","4 = Shutdown","7 = Recreate"]],"type":"string","description":"<para type=\"synopsis\">Schedule Action Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"ScheduleTargetType":{"enum":[["0 = Host","1 = HostPool"]],"type":"string","description":"<para type=\"synopsis\">Scheduler Target Type</para>\r\n<para type=\"description\"></para>","format":"int32"},"TargetNativeHost":{"type":"object","properties":{"poolId":{"type":"integer","description":"<para type=\"synopsis\">Pool Id</para>\r\n<para type=\"description\"></para>","format":"int32"},"guid":{"type":"string","description":"<para type=\"synopsis\">GUID</para>\r\n<para type=\"description\"></para>","nullable":true},"guestName":{"type":"string","description":"<para type=\"synopsis\">Guest Name</para>\r\n<para type=\"description\"></para>","nullable":true},"hostAzureID":{"type":"string","description":"<para type=\"synopsis\">Host Azure ID</para>\r\n<para type=\"description\"></para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Target Native Host</para>\r\n<para type=\"description\"></para>"},"Trigger":{"type":"object","properties":{"startDateTime":{"type":"string","description":"<para type=\"description\">Start Date</para>","format":"date-time"},"endDateTime":{"type":"string","description":"<para type=\"description\">End Date</para>","format":"date-time","nullable":true},"repeat":{"$ref":"#/components/schemas/RepeatType"},"specificDays":{"$ref":"#/components/schemas/RepeatSpecificDays"},"durationInSecs":{"type":"number","description":"<para type=\"description\">Duration</para>","format":"double","nullable":true},"completeIn":{"type":"integer","description":"<para type=\"description\">Complete In</para>","format":"int32","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Trigger</para>\r\n<para type=\"description\"></para>"},"Options":{"type":"object","properties":{"poolMembersType":{"type":"integer","description":"<para type=\"description\">Pool Members Type</para>","format":"int32","nullable":true},"percentageMembers":{"type":"integer","description":"<para type=\"description\">Percentage of members</para>","format":"int32","nullable":true},"membersToStart":{"type":"integer","description":"<para type=\"description\">Specific number of members to be started</para>","format":"int32","nullable":true},"powerOnAssignedPoolMembers":{"type":"integer","description":"<para type=\"description\">Power On Assigned Pool Members</para>","format":"int32","nullable":true},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ScheduleMessage"},"description":"<para type=\"description\">Messages</para>","nullable":true},"enableDrainMode":{"type":"boolean","description":"<para type=\"description\">Enable Drain Mode</para>","nullable":true},"forceServerRebootAfter":{"type":"integer","description":"<para type=\"description\">Force server reboot after</para>","format":"int32","nullable":true},"enforceScheduleInactiveHost":{"type":"boolean","description":"<para type=\"description\">Enforce schedule for currently inactive host</para>","nullable":true},"onDisable":{"type":"boolean","description":"<para type=\"description\">On Disable</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Options</para>\r\n<para type=\"description\"></para>"},"ScheduleMessage":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Enabled</para>"},"messageTitle":{"type":"string","description":"<para type=\"description\">Message title</para>","nullable":true},"message":{"type":"string","description":"<para type=\"description\">Message</para>","nullable":true},"sendMsgSecs":{"type":"integer","description":"<para type=\"description\">Seconds before message is sent</para>","format":"int32"},"sendMsgWhen":{"$ref":"#/components/schemas/SendMsgWhen"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Schedule Message</para>\r\n<para type=\"description\"></para>"},"SendMsgWhen":{"enum":[["0 = Before","1 = After"]],"type":"string","description":"<para type=\"synopsis\">Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/schedule/reboot.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
